function [R_rate, I_peak, T_break, B_peak] = SIR_m2(Graph, State_list, beta,T,mu,Y)

M = length(Graph);
t = 0;
I_sum = 1; I_SUM = 1;                
R_SUM = 0;                           
B_SUM = 0; 
S_sum = 0; 

State_list = [State_list, 1e99*ones(size(State_list,1), 1)];  
State_list( State_list(:,2) == 1, 3) = 0;       

I_ID = find(State_list(:,2) == 1);    

while ( t < 2 )
    t = t + 1;
    for i = 1:length(I_ID);
       I_i = I_ID(i);

       neighbor_ID = Graph(I_i,:) == 1;         

       neighbor_State = State_list(neighbor_ID,:);         
       S_ID = neighbor_State((neighbor_State(:,2) == 0),1);    
       for ii = 1:length(S_ID)
            S_i = S_ID(ii);
            if State_list(S_i,4)~=1
                if (rand < beta)
                    State_list(S_i,2) = 5;   
                end
            end
       end
        if State_list(I_i,4)~=1
            
            F=(1-2.718^(-0.4*T))*2.718^(-mu*2.718^(-0.4*T));
            
            if (rand<= 0.1)
              State_list(I_i,2) = 2;        
            else if  ((1-F)>=rand)
           
                 State_list(I_i,4) = 1;        
            
                end
            end
        end
    end
    State_list(State_list(:,2) == 5,3) = t;     
    State_list(State_list(:,2) == 5,2) = 1;  

    idx = State_list(:,2) == 1;   
    I_ID = State_list(idx,1);        
    I_sum = length(I_ID);            
    I_SUM = [I_SUM;I_sum];
    
    sdx = State_list(:,2) == 0;   
    S_ID = State_list(sdx,1);        
    S_sum = length(S_ID);             
   
    
    bdx = State_list(:,4) == 1;   
    B_ID = State_list(bdx,1);         
    B_sum = length(B_ID);             
    B_SUM = [B_SUM;B_sum];
    
    
 
    rdx = State_list(:,2) == 2;    
    R_ID = [State_list(rdx,1), State_list(rdx,3)];     
    R_sum = size(R_ID,1);              
    R_SUM = [R_SUM;R_sum];        
end

R_rate = 100*max(R_SUM)/M;  
I_peak = 100*max(I_SUM)/M;   
T_break = t;                           
B_peak = 100*max(B_SUM)/M; 
